{% extends "blog/blog_post_list.html" %}
{% load mezzanine_tags comment_tags keyword_tags rating_tags i18n future disqus_tags %}

{% block meta_title %}{{ blog_post.meta_title }}{% endblock %}

{% block meta_keywords %}{% metablock %}
{% keywords_for blog_post as tags %}
{% for tag in tags %}{% if not forloop.first %}, {% endif %}{{ tag }}{% endfor %}
{% endmetablock %}{% endblock %}

{% block meta_description %}{% metablock %}
{{ blog_post.description }}
{% endmetablock %}{% endblock %}




{% block title %}
{% editable blog_post.title %}{{ blog_post.title }}{% endeditable %}
{% endblock %}

{% block breadcrumb_menu %}
{{ block.super }}
<li class="active">{{ blog_post.title }}</li>
{% endblock %}

{% block main %}
<div class="row">
    <div class="col-md-12">
        <section>                
            <h2 class="page-header no-margin-top">
                {{ blog_post.title }}
            </h2>
            <h5>
                {% trans "Posted by" %}:
                {% with blog_post.user as author %}
                <a href="{% url "blog_post_list_author" author %}">{{ author.get_full_name|default:author.username }}</a>
                {% endwith %}
                <span> , {{ blog_post.publish_date|date:"M t Y, H:i" }}</span>
            </h5>
            {% if settings.BLOG_USE_FEATURED_IMAGE and blog_post.featured_image %}
            {% block blog_post_list_post_featured_image %}
            <a href="{{ blog_post.get_absolute_url }}">
                <img class="img-responsive" src="{{ MEDIA_URL }}{% thumbnail blog_post.featured_image 1000 0 %}">
            </a>
            {% endblock %}
            {% endif %}
        
            {% block blog_post_detail_content %}
            {{ blog_post.content|richtext_filters|safe }}
            {% endblock %}
        </section>
        <section>
            {% block blog_post_detail_sharebuttons %}
            <div class="panel panel-default">
                <div class="panel-body">
                    {% set_short_url_for blog_post %}
                    <a class="social-icon-ar sm no-margin-bottom twitter" target="_blank" href="http://twitter.com/home?status={{ blog_post.short_url|urlencode }}%20{{ blog_post.title|urlencode }}"><i class="fa fa-twitter"></i></a>
                    <a class="social-icon-ar sm no-margin-bottom facebook" target="_blank" href="http://facebook.com/sharer.php?u={{ request.build_absolute_uri }}&amp;t={{ blog_post.title|urlencode }}"><i class="fa fa-facebook"></i></a>
                </div>
            </div>
            {% endblock %}
        </section>
        <section>
            {% block blog_post_previous_next %}
            <ul class="pager">
            {% with blog_post.get_previous_by_publish_date as previous %}
            {% if previous %}
            <li class="previous">
                <a href="{{ previous.get_absolute_url }}">&larr; {{ previous }}</a>
            </li>
            {% endif %}
            {% endwith %}
            {% with blog_post.get_next_by_publish_date as next %}
            {% if next %}
            <li class="next">
                <a href="{{ next.get_absolute_url }}">{{ next }} &rarr;</a>
            </li>
            {% endif %}
            {% endwith %}
            </ul>
            {% endblock %}
        </section>
        <section>
            {% block blog_post_detail_comments %}
            {% if blog_post.allow_comments %}{% comments_for blog_post %}{% endif %}
            {% endblock %}
        </section>
    </div>
</div>

{% block blog_post_detail_keywords %}
{% keywords_for blog_post as tags %}
{% if tags %}
{% spaceless %}
<ul class="list-inline tags">
    <li>{% trans "Tags" %}:</li>
    {% for tag in tags %}
    <li><a href="{% url "blog_post_list_tag" tag.slug %}">{{ tag }}</a>{% if not forloop.last %}, {% endif %}</li>
    {% endfor %}
</ul>
{% endspaceless %}
{% endif %}
{% endblock %}

{% block blog_post_detail_related_posts %}
{% if blog_post.related_posts.all %}
<div id="related-posts">
<h3>{% trans 'Related posts' %}</h3>
<ul class="list-unstyled">
{% for post in blog_post.related_posts.all %}
     <li><a href="{{ post.get_absolute_url }}">{{ post.title }}</a></li>
{% endfor %}
</ul>
</div>
{% endif %}
{% endblock %}

{% endblock %}